package com.yeejoin.amos.patrol.business.service.intfc;

import com.yeejoin.amos.patrol.core.common.response.*;

import java.util.List;

public interface ISafety3DDataSendService {
	
	/**
	 * 巡检点检查后状态推送
	 * @param check
	 */
	public PointCheckInfoRespone pointCheckInfoPush(String toke,String product,String appKey,Long checkId);
	
	/**
	 * 巡检点检查后状态推送yewu
	 * @param check
	 */
	public PointCheckInfoBusinessRespone pointCheckInfoPushToB(Long checkId);
	
	
	
	/**
	 * 任务详情推送
	 * @param taskId
	 */
	public TaskInfoRespone taskDetailInfoPush(String toke,String product,String appKey,Long taskId);

	List<PointInfoSyn3DRespone> pushPointTo3D(String toke,String product,String appKey,List<Long> pointId);
	
	RouteResponse pushRouteInfoTo3D(String toke,String product,String appKey,List<Long> routeId);

}
